<script setup lang="ts">
    const props = defineProps<{
        state: boolean | undefined;
    }>();
</script>

<template>
    <span v-if="props.state === undefined">Unbekannt</span>
    <span v-if="props.state === true" style="color: rgb(var(--v-theme-fg-green))">Erfolgreich</span>
    <span v-if="props.state === false" style="color: rgb(var(--v-theme-fg-red))">Fehler</span>
</template>
